Skip to content

Atomically apply a deterministic template as one immutable Workspace UI source revision.

POST
/api/workspace/admin/ui-project/source-templates/apply
curl --request POST \
--url https://example.com/api/workspace/admin/ui-project/source-templates/apply \
--header 'Content-Type: application/json' \
--data '{ "Template": { "TemplateId": "example", "BaseRevisionId": "example", "BaseSourceChecksum": "example", "Key": "example", "DisplayName": "example", "Icon": "example", "Layout": 0, "RoutePath": "example", "FunctionKey": "example" }, "Comment": "example" }'
  • None
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Atomically apply a deterministic Workspace UI source template.

object
Template

Generate a deterministic Workspace UI source-template preview.

object
TemplateId

Stable template identifier.

string
nullable
BaseRevisionId

Working revision on which generation is based.

string
nullable
BaseSourceChecksum

Expected checksum of the working revision.

string
nullable
Key

Lowercase kebab-case page, component, store, or client key.

string
nullable
DisplayName

Human-readable title used in generated locale resources.

string
nullable
Icon

Optional MDI icon for a generated page manifest entry.

string
nullable
Layout
integer format: int32
Allowed values: 0 1
RoutePath

Optional strict relative route pattern. Page starters default to and require the named parameters :entityId and :instanceId.

string
nullable
FunctionKey

Exact published C# function key used by command and background-function client templates.

string
nullable
Comment

Optional immutable revision comment.

string
nullable

OK

Media typeapplication/json
object
Data

Result of atomically applying a source template.

object
TemplateId

Applied stable template identifier.

string
nullable
Revision

Immutable Workspace UI source revision metadata.

object
Id

Revision identifier.

string
nullable
ProjectId

Workspace UI project identifier.

string
nullable
RevisionNumber

Monotonic revision number.

integer format: int32
SourceKind
integer format: int32
Allowed values: 0 1 2 3
Status
integer format: int32
Allowed values: 0 1 2 3 4
Comment

Optional revision comment.

string
nullable
SourceChecksum

SHA-256 checksum of the canonical source tree.

string
nullable
CreatedAt

Creation timestamp.

string format: date-time
CreatedByUserId

Creating user identifier.

string
nullable
FileCount

Number of stored source files.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Revision": {
"SourceKind": 0,
"Status": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result of atomically applying a source template.

object
TemplateId

Applied stable template identifier.

string
nullable
Revision

Immutable Workspace UI source revision metadata.

object
Id

Revision identifier.

string
nullable
ProjectId

Workspace UI project identifier.

string
nullable
RevisionNumber

Monotonic revision number.

integer format: int32
SourceKind
integer format: int32
Allowed values: 0 1 2 3
Status
integer format: int32
Allowed values: 0 1 2 3 4
Comment

Optional revision comment.

string
nullable
SourceChecksum

SHA-256 checksum of the canonical source tree.

string
nullable
CreatedAt

Creation timestamp.

string format: date-time
CreatedByUserId

Creating user identifier.

string
nullable
FileCount

Number of stored source files.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Revision": {
"SourceKind": 0,
"Status": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Conflict

Media typeapplication/json
object
Data

Result of atomically applying a source template.

object
TemplateId

Applied stable template identifier.

string
nullable
Revision

Immutable Workspace UI source revision metadata.

object
Id

Revision identifier.

string
nullable
ProjectId

Workspace UI project identifier.

string
nullable
RevisionNumber

Monotonic revision number.

integer format: int32
SourceKind
integer format: int32
Allowed values: 0 1 2 3
Status
integer format: int32
Allowed values: 0 1 2 3 4
Comment

Optional revision comment.

string
nullable
SourceChecksum

SHA-256 checksum of the canonical source tree.

string
nullable
CreatedAt

Creation timestamp.

string format: date-time
CreatedByUserId

Creating user identifier.

string
nullable
FileCount

Number of stored source files.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"Revision": {
"SourceKind": 0,
"Status": 0
}
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}